Subject: Re: randconfig build error with next-20141001, in drivers/gpu/drm/i915

From: Jani Nikula <[email-masked]>
Date: Wed, 01 Oct 2014 20:57:43 +0300

On Wed, 01 Oct 2014, Jim Davis <[email-masked]> wrote:
> Building with the attached random configuration file,
>
> warning: (VIDEO_TIMBERDALE) selects TIMB_DMA which has unmet direct
> dependencies (DMADEVICES && MFD_TIMBERDALE)
> warning: (USB_OTG_FSM && FSL_USB2_OTG && USB_MV_OTG) selects USB_OTG
> which has unmet direct dependencies (USB_SUPPORT && USB && PM_RUNTIME)
>
> drivers/built-in.o: In function `intel_panel_setup_backlight':
> (.text+0x11855d): undefined reference to `backlight_device_register'
> drivers/built-in.o: In function `intel_panel_destroy_backlight':
> (.text+0x118624): undefined reference to `backlight_device_unregister'
> make: *** [vmlinux] Error 1

It's the combination:

> CONFIG_DRM_I915=y
> CONFIG_BACKLIGHT_CLASS_DEVICE=m

Not sure what the Kconfig magic spell needs to be when we don't want to
depend on CONFIG_BACKLIGHT_CLASS_DEVICE but we'll use it if it's enabled
(y or m).

BR,
Jani.

-- 
Jani Nikula, Intel Open Source Technology Center